resource "google_monitoring_monitored_project" "cs-monitored-projects" {
  for_each = toset([
    module.cs-project-vpc-host-prod.project_id,
    module.cs-project-vpc-host-nonprod.project_id,
    module.cs-svc-team-it-prod-svc-xvzz.project_id,
    module.cs-svc-team-it-nonprod-svc-xvzz.project_id,
    module.cs-svc-team-rh-prod-svc-xvzz.project_id,
    module.cs-svc-team-rh-nonprod-svc-xvzz.project_id,
  ])
  metrics_scope = "locations/global/metricsScopes/${module.cs-project-logging-monitoring.project_id}"
  name          = each.value
}
