# In order to create google groups, the calling identity should have at least the
# Group Admin role in Google Admin. More info: https://support.google.com/a/answer/2405986

module "cs-gg-service-i-team-it-prod-svc" {
  source  = "terraform-google-modules/group/google"
  version = "~> 0.6"

  id           = "service-i-team-it-prod-svc@tips-of-mine.com"
  display_name = "service-i-team-it-prod-svc"
  customer_id  = data.google_organization.org.directory_customer_id
  types = [
    "default",
    "security",
  ]
}

module "cs-gg-service-i-team-it-nonprod-svc" {
  source  = "terraform-google-modules/group/google"
  version = "~> 0.6"

  id           = "service-i-team-it-nonprod-svc@tips-of-mine.com"
  display_name = "service-i-team-it-nonprod-svc"
  customer_id  = data.google_organization.org.directory_customer_id
  types = [
    "default",
    "security",
  ]
}

module "cs-gg-service-i-team-rh-prod-svc" {
  source  = "terraform-google-modules/group/google"
  version = "~> 0.6"

  id           = "service-i-team-rh-prod-svc@tips-of-mine.com"
  display_name = "service-i-team-rh-prod-svc"
  customer_id  = data.google_organization.org.directory_customer_id
  types = [
    "default",
    "security",
  ]
}

module "cs-gg-service-i-team-rh-nonprod-svc" {
  source  = "terraform-google-modules/group/google"
  version = "~> 0.6"

  id           = "service-i-team-rh-nonprod-svc@tips-of-mine.com"
  display_name = "service-i-team-rh-nonprod-svc"
  customer_id  = data.google_organization.org.directory_customer_id
  types = [
    "default",
    "security",
  ]
}
